Servervoraussetzungen und AVC sowie Fehlermeldung

Ersetzt das Original phpBB CAPTCHA gegen eins mit diversen Konfigurationsmöglichkeiten.

Servervoraussetzungen und AVC sowie Fehlermeldung

Beitragvon Sir Charles » 4. Apr 2007 18:30

Hallo!

Wie es aussieht, kann es auch passieren, daß der Mod nicht funktioniert, obwohl der Server alle Voraussetzungen erfüllt. Laut Provider, dem ich die Lösungsvorschläge aus der Hilfe hier im Forum geschickt habe (ja, ich hab vorher alles dreimal gecheckt), liegt es an der veralteten PHP-Version, die am Server läuft, nämlich PHP 4.3.11. :roll:

Hintergrund: es geht gsd nicht um mein "Hauptforum" aus meinem Profil, sondern ein anderes, das ziemlich schwer gelitten hat unter Spam-Attacken. Ich wollte halt besonders auf diesen tollen Mod dort nicht verzichten.

@amigalink: kann das so stimmen, wie mir das gesagt wurde von einem der Fachleute von dort? :?:

Edit: und jetzt ist grad ne weitere Mail gekommen, daß tatsächlich ein Kompilierungsfehler aufgetreten ist.... aber hauptsache, das Ganze erstmal auf die PHP-Version schieben :roll: :lol:

also, jetzt gehts 8)

Edit 2: ahja, ich möchte noch auf einen "Fehler" bei einer Fehlermeldung hinweisen. Ich hab ja den AVC partiell ausgebaut, bis der Kompilierungsfehler behoben ist, und wenn man jetzt im ACP auf VC Captcha klickt, kommt folgender Fehler:

phpBB : Kritischer Fehler

Could not query Lexicon config information

DEBUG MODE

SQL Error : 1146 Table 'sp_phpBB.CAPTCHA_CONFIG_TABLE' doesn't exist

SELECT * FROM CAPTCHA_CONFIG_TABLE

Line : 32
File : admin_captcha_config.php


Der Hinweis aufs Lexicon ist da doch sicher nicht richtig, oder?? ;)
Benutzeravatar
Sir Charles
User
 
Beiträge: 30
Registriert: 23. Mai 2006 10:42
Wohnort: Wien

Beitragvon oxpus » 5. Apr 2007 10:38

Das ist die nicht gemoddete includes/constants.php, in der die Konstante for die Captcha Konfig-Tabelle in der Datenbank fehlt.

Partielles Einbauen birgt eben immer Risiken und Fehler ;)
Kein Support ausserhalb der Foren!
No support outside the forums!
Benutzeravatar
oxpus
Partner
 
Beiträge: 610
Registriert: 14. Okt 2004 11:55
Wohnort: Bad Wildungen (halt so'n kleines Kurkaff)

Beitragvon Sir Charles » 5. Apr 2007 10:47

oxpus hat geschrieben:Partielles Einbauen birgt eben immer Risiken und Fehler ;)


Danke für den Hinweis, worans liegt...

na, ich hoffe mal, der Provider kann den Kompilierungsfehler nicht nur auf meinem Testspace reparieren, sondern auch am aktuell im Einsatz befindlichen Server.

Bin ja nur zu faul, den AVC immer komplett einzubauen - zu sehen, es geht nicht - und dann wieder komplett auszubauen (noch dazu, wo jetzt keine weiteren Mods mehr geplant sind) :oops: :oops:
Benutzeravatar
Sir Charles
User
 
Beiträge: 30
Registriert: 23. Mai 2006 10:42
Wohnort: Wien

Beitragvon AmigaLink » 5. Apr 2007 17:08

Edit: und jetzt ist grad ne weitere Mail gekommen, daß tatsächlich ein Kompilierungsfehler aufgetreten ist.... aber hauptsache, das Ganze erstmal auf die PHP-Version schieben
Dieser Compilierungsfehler kommt recht häufig vor und genau das hätte ich dir jetzt auch gesagt, wenn das Problem nicht bereits behoben wäre.
(Siehe Punkt 4 in http://www.amigalink.de/viewtopic.php?t=657 :))
Es auf die "veraltete" PHP 4.3.11 Version zu schieben, ist eine klare ausrede. Dennoch solltest du auf die aktuelle PHP 4.4.6 updaten lassen, weil darin einige Sicherheitslücken geschlossen wurden.
Die deutsche Sprache ist Freeware, du kannst sie benutzen, ohne dafür zu bezahlen. Sie ist aber nicht Open Source, also darfst du sie nicht verändern, wie es dir gerade passt.
Benutzeravatar
AmigaLink
Administrator
 
Beiträge: 3987
Registriert: 11. Aug 2004 01:06
Wohnort: NRW

Beitragvon Sir Charles » 19. Apr 2007 17:06

@ Amigalink: *looooooool* :bofl: der war gut... ich kann da gar nix updaten lassen... das Testboard läuft auf dem Mitarbeiter-Webspace meiner Uni ... kennst Du Zentrale Informatikdienste?? das dauert sicher länger. :roll:

Also den Compilierungsfehler auf dem Testspace haben sie behoben, doch dort, wo das eigentliche Board rennt, dort besteht er noch immer. Und mein Hinweis darauf ist auch schon etliche Wochen alt... *g*
Benutzeravatar
Sir Charles
User
 
Beiträge: 30
Registriert: 23. Mai 2006 10:42
Wohnort: Wien

Beitragvon AmigaLink » 19. Apr 2007 21:02

Dumm gelaufen :roll:
Die deutsche Sprache ist Freeware, du kannst sie benutzen, ohne dafür zu bezahlen. Sie ist aber nicht Open Source, also darfst du sie nicht verändern, wie es dir gerade passt.
Benutzeravatar
AmigaLink
Administrator
 
Beiträge: 3987
Registriert: 11. Aug 2004 01:06
Wohnort: NRW

Beitragvon Sir Charles » 21. Apr 2007 08:58

jo, stimmt... aber ich bin sehr dankbar für diesen tollen Mod und die phantastische Unterstützung, die Du lieferst ;)

und in MEINEM Forum (wo ich diese Probleme nicht hab), hab ich gerade Deinen CPS eingebaut... :D
Benutzeravatar
Sir Charles
User
 
Beiträge: 30
Registriert: 23. Mai 2006 10:42
Wohnort: Wien


Zurück zu Advanced Visual Confirmation



Wer ist online?

Mitglieder in diesem Forum: Magpie [Crawler] und 1 Gast

cron